> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a project defined event



## OpenAPI

````yaml /openapi.json post /project_defined_events/{id}
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /project_defined_events/{id}:
    post:
      tags:
        - Project defined events
      summary: Update a project defined event
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the project defined event
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                display_text:
                  type: string
                  description: >-
                    The human-readable text for this event. Should grammatically
                    follow "When..." e.g. "a customer is created"
                purchase_amount_path:
                  type: string
                  nullable: true
                  description: Path for extracting purchase amount from event data
      responses:
        '200':
          description: The updated `ProjectDefinedEvent` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDefinedEvent'
components:
  schemas:
    ProjectDefinedEvent:
      type: object
      properties:
        id:
          type: string
          description: The ID of the project defined event
        event:
          type: string
          description: The event name. Likely takes the form `customer.created` or similar
        display_text:
          type: string
          description: >-
            The human-readable text for this event. Should grammatically follow
            "When..." e.g. "a customer is created"
        purchase_amount_path:
          type: string
          nullable: true
          description: Path for extracting purchase amount from event data
      required:
        - id
        - event
        - display_text
        - purchase_amount_path
      title: The ProjectDefinedEvent object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````